<template>
  <div>
    <div class="titulo">
      <div class="ruta">
        <v-breadcrumbs :items="breadcrumbs">
          <template v-slot:divider>
            <v-icon>mdi-chevron-right</v-icon>
          </template>
        </v-breadcrumbs>
      </div>
      <strong>Infraestructura</strong>
    </div>
    <div class="title">
      <strong>¿Qué deseas hacer hoy?</strong>
    </div>
    <br />
    <v-row class="mt-6">
      <v-col
        :cols="12"
        :xs="12"
        :sm="6"
        :md="3"
        :lg="3"
        :xl="3"
        v-for="(item, i) in cardSelect"
        :key="i"
      >
        <v-card
          :to="item.to"
          :color="item.color"
          class="generalCard pa-4"
          @click="select(item)"
        >
          <br />
          <div
            class="cardTitle text-center pb-2 pa-0"
            v-text="item.texto"
            v-bind:style="
              texto == item.texto ? item.color_text1 : item.color_text2
            "
          ></div>
          <br />
        </v-card>
      </v-col>
    </v-row>
    <br />
    <v-card>
      <v-row>
        <v-col :cols="12" :sm="12" :md="1" :lg="1" :xl="1"> </v-col>
        <v-col :cols="12" :sm="12" :md="10" :lg="10" :xl="10">
          <ConsultarDescargarDocumentosComponent v-if="valor == 1" />
          <EnvioDocumentoCorreo v-if="valor == 2" />
        </v-col>
        <v-col :cols="12" :sm="12" :md="1" :lg="1" :xl="1"> </v-col>
      </v-row>
    </v-card>
  </div>
</template>

<script>
import EnvioDocumentoCorreo from "./componentes2/EnvioDocumentoCorreo.vue";
import ConsultarDescargarDocumentosComponent from "./componentes2/ConsultarDescargarDocumentosComponent.vue";
export default {
  components: {
    ConsultarDescargarDocumentosComponent,
    EnvioDocumentoCorreo,
  },
  name: "infraestructura_layouts_consulta_envio_documento",
  created() {},
  data() {
    return {
      texto: "",
      lastItem: null,
      valor: 0,
      breadcrumbs: [
        {
          text: "Plataforma de Franquicia",
          disabled: false,
          exact: true,
          to: {
            name: "home",
          },
        },
        {
          text: "Administracion Layouts",
          disabled: false,
          exact: true,
          to: {
            name: "infraestructura_layouts_administrador_layouts",
          },
        },
        {
          text: "Actualiza documento",
          disabled: true,
        },
      ],
      cardSelect: [
        //494949 select #e0e0e0
        {
          texto: "Consultar y Descargar Documentos",
          color: "#e0e0e0",
          color_text1: "color:white",
          color_text2: "color:black",
          valor: 1,
          to: {},
        },
        {
          texto: "Enviar Documento Semanal",
          color: "#e0e0e0",
          color_text1: "color:white",
          color_text2: "color:black",

          valor: 2,
          to: {},
        },
      ],
    };
  },
  props: {},
  methods: {
    select(item) {
      console.log(JSON.stringify(item));
      if (this.texto == item.texto) {
        this.texto = "";
        item.color = "#e0e0e0";
        this.lastItem = null;
        this.valor = 0;
      } else {
        if (this.lastItem) {
          this.lastItem.color = "#e0e0e0";
        }
        this.texto = item.texto;
        item.color = "#494949";
        this.lastItem = item;
        this.valor = item.valor;
      }
    },
  },
};
</script>

<style lang="scss" scoped></style>